Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.adapter
Class GwtDotCreateProvider<T>

    java.lang.Object
      com.google.gwt.inject.rebind.adapter.GwtDotCreateProvider<T>

All Implemented Interfaces:
  javax.inject.Provider<T>

    public class GwtDotCreateProvider<T>

extends java.lang.Object
implements Provider<T>

A dummy provider to register for cases like `bind().in(scope)` (where there is no target key). Since Gin will use `GWT.create()`, we need to make Guice think that something is bound. This class is `public` so that `BindingProcessor` can detect this. Some details are in issue 22.

Method Summary
`T` | `get()` Provides an instance of `T`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public T get()

  Description copied from interface: `com.google.inject.Provider`
  Provides an instance of `T`. Must never return `null`.

  Specified by:
    `get` in interface `javax.inject.Provider<T>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD